package com.ruoyi.inventory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资产盘点明细对象 tb_inventory_detail
 * 
 * @author ydl
 * @date 2023-06-01
 */
public class TbInventoryDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 单据编号 */
    @Excel(name = "单据编号")
    private String orderNumber;

    /** 盘点元数据 */
    @Excel(name = "盘点元数据")
    private String inventoryMetadata;

    /** 是否更新数据 */
    @Excel(name = "是否更新数据")
    private Long isUpdateData;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOrderNumber(String orderNumber) 
    {
        this.orderNumber = orderNumber;
    }

    public String getOrderNumber() 
    {
        return orderNumber;
    }
    public void setInventoryMetadata(String inventoryMetadata) 
    {
        this.inventoryMetadata = inventoryMetadata;
    }

    public String getInventoryMetadata() 
    {
        return inventoryMetadata;
    }
    public void setIsUpdateData(Long isUpdateData) 
    {
        this.isUpdateData = isUpdateData;
    }

    public Long getIsUpdateData() 
    {
        return isUpdateData;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderNumber", getOrderNumber())
            .append("inventoryMetadata", getInventoryMetadata())
            .append("isUpdateData", getIsUpdateData())
            .append("remark", getRemark())
            .toString();
    }
}
